Skip to content
Get started

Lend

Get lending markets
markets.lend.list(LendListParams**kwargs) -> LendListResponse
GET/api/v1/markets/lend
Lookup lending market by asset
markets.lend.get_by_asset(LendGetByAssetParams**kwargs) -> LendGetByAssetResponse
GET/api/v1/markets/lend/lookup
Get historical lending rates for assets
markets.lend.get_rate_history(LendGetRateHistoryParams**kwargs) -> LendGetRateHistoryResponse
GET/api/v1/markets/lend/rate-history
ModelsExpand Collapse
class LendMarket:

Lending market overview

asset_info: AssetInfo

Asset identifiers with associated metadata

asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
class Regular:
kind: Literal["regular"]
neptune_receipt_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class NeptuneReceiptToken:
kind: Literal["neptune_receipt_token"]
origin_asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class LiquidStakingToken:
kind: Literal["liquid_staking_token"]
origin_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
metadata: AssetMetadata

Additional metadata for assets

decimals_denom: int

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: int

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: str

Full name of the asset

symbol: str

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: str

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

Lending market rates

apr: str

Market rate in APR standard as a decimal percentage

apy: str

Market rate in APY standard as a decimal percentage

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

apr: str
apy: str

Current lending market state

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

principal_sum: str
receipt_total_supply: str
redemption_ratio: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: str

Text representation of price

principal_sum: str
price: str

Price used in value calculations

principal_sum: str
principal_sum: str

The total amount of the asset deposited for lending in the market.

receipt_total_supply: str
redemption_ratio: str
class LendMarketData:

Lending market rates

apr: str

Market rate in APR standard as a decimal percentage

apy: str

Market rate in APY standard as a decimal percentage

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

apr: str
apy: str

Current lending market state

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

principal_sum: str
receipt_total_supply: str
redemption_ratio: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: str

Text representation of price

principal_sum: str
price: str

Price used in value calculations

principal_sum: str
principal_sum: str

The total amount of the asset deposited for lending in the market.

receipt_total_supply: str
redemption_ratio: str
class LendMarketState:
extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

principal_sum: str
receipt_total_supply: str
redemption_ratio: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: str

Text representation of price

principal_sum: str
price: str

Price used in value calculations

principal_sum: str
principal_sum: str

The total amount of the asset deposited for lending in the market.

receipt_total_supply: str
redemption_ratio: str